parameters:

services:
  _defaults:
    autowire: true
    autoconfigure: true

  NewImmoGroup\AwsBroker\:
    resource: '../src/'

  Tests\Functional\Command\:
    resource: '../tests/Functional/Command/'
    exclude:
      - '../tests/Functional/Command/Kernel.php'

  messenger_serializer:
    class: NigDevteam\MappedSerializer
    arguments:
      $encodeMapping:
        Tests\Functional\Command\MessageOne: test_one
        Tests\Functional\Command\MessageTwo: test_two
      $decodeMapping:
        test_one: Tests\Functional\Command\MessageOne
        test_two: Tests\Functional\Command\MessageTwo

  NewImmoGroup\AwsBroker\SqsTransportFactory:
    class: NewImmoGroup\AwsBroker\SqsTransportFactory
    tags: [messenger.transport_factory]
    arguments:
      $defaultOptions:
        auto_setup: true
        queue_prefix: 'lib-functional-test-'
        queue_tags:
          environment: "%env(APP_ENV)%"
